Toad World® Forums

No Oracle Client installed

I have oracle instant client 12_1(32 bit) installed and I am using TOAD 9.6 and I am on Windows 10,I can install the driver no problem.
However when attempting to open up TOAD I am getting the message 'You have no oracle clients installed'.Have tried re-installing TOAD numerous times without any success.I am wondering is there a compatible issue between oracle instant client 12.1 and TOAD 9.6?

Hi Fergal,

Toad 9.6 is a very old version of Toad and was released about five to six years before the instant client you're trying to use. As a result, it's not going to be a supported client for that version of Toad. While I'm not sure of what specific compatibility issues will exist between those versions, I might recommend trying one of the instant clients versions listed as supported in the Toad 9.6 Getting Started Guide in your installation folder. You can download multiple 32-bit instant clients from Oracle here:

https://www.oracle.com/database/technologies/instant-client/microsoft-windows-32-downloads.html

Alternatively, you can try installing a full client and using that, rather than an instant client, or try upgrading to a newer version of Toad. You shouldn't have any trouble using your instant client with Toad 14.0.

I hope this information helps. Please feel free to let us know if there's anything else we can do.

Thanks,

-John

Thanks a lot for all that useful info John much appreciated.

Fergal